VSTGUI: ControlValueAnimation Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Protected Attributes | List of all members
ControlValueAnimation Class Reference
Animation » Animation Targets | New classes » Version 4.0

animates the value of a CControl More...

`#include <animations.h>`

Inheritance diagram for ControlValueAnimation:

## Public Member Functions
| ControlValueAnimation (float endValue, bool forceEndValueOnFinish=false)
void | animationStart (CView *view, IdStringPtr name) override
| animation starts More...
void | animationTick (CView *view, IdStringPtr name, float pos) override
| pos is a normalized value between zero and one More...
void | animationFinished (CView *view, IdStringPtr name, bool wasCanceled) override
| animation ended More...
Public Member Functions inherited from IAnimationTarget
virtual | ~IAnimationTarget () noexcept=default
virtual void | animationStart (CView *view, IdStringPtr name)=0
| animation starts More...
virtual void | animationTick (CView *view, IdStringPtr name, float pos)=0
| pos is a normalized value between zero and one More...
virtual void | animationFinished (CView *view, IdStringPtr name, bool wasCanceled)=0
| animation ended More...
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0 More...
virtual void | remember ()=0
| increase refcount More...

## Protected Attributes
float | startValue
float | endValue
bool | forceEndValueOnFinish

## Detailed Description

animates the value of a CControl

see Animations Support

## Constructor & Destructor Documentation

## ◆ ControlValueAnimation()

ControlValueAnimation | ( | float | endValue,
|  | bool | forceEndValueOnFinish = `false`
| ) |  |

## Member Function Documentation

## ◆ animationFinished()

void animationFinished | ( | CView * | view,
|  | IdStringPtr | name,
|  | bool | wasCanceled
| ) |  |
| overridevirtual

animation ended

Implements IAnimationTarget.

## ◆ animationStart()

void animationStart | ( | CView * | view,
|  | IdStringPtr | name
| ) |  |
| overridevirtual

animation starts

Implements IAnimationTarget.

## ◆ animationTick()

void animationTick | ( | CView * | view,
|  | IdStringPtr | name,
|  | float | pos
| ) |  |
| overridevirtual

pos is a normalized value between zero and one

Implements IAnimationTarget.

## Member Data Documentation

## ◆ endValue

float endValue
| protected

## ◆ forceEndValueOnFinish

bool forceEndValueOnFinish
| protected

## ◆ startValue

float startValue
| protected

The documentation for this class was generated from the following files:

- animations.h
- animations.cpp